import { Directive, Inject, Input, ElementRef, HostListener } from '@angular/core';

@Directive({
  selector: '[agileChangeColor]'
})
export class AgileChangeColorDirective {
  constructor(@Inject(ElementRef) element) {
    this.element = element;
  }

  @Input() set agileChangeColor(value) {
    this.color = value;
  }                              
                                     
  
  @HostListener('mouseenter') mouseEnter() {
    this.changeColor(this.color || 'Purple');    
  }
  
  @HostListener('mouseleave') mouseLeave() {
    this.changeColor(null);    
  }

  changeColor(color) {
    this.element.nativeElement.style.color = color;
  }
}
