import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';
import { RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';

import { BooksComponent } from './books.component';
import { BooksService } from './books.service';
import { BookTitleSortPipe } from './book-title-sort.pipe';
import { AgileSwapDirective } from '../directives/agile-swap.directive';
import { AgileChangeColorDirective } from '../directives/agile-change-color.directive';
import { BooksRoutingModule } from './books-routing.module';
import { Books2Service } from './books2.service';

@NgModule({
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule,
    BooksRoutingModule 
  ],
  declarations: [ BooksComponent, BookTitleSortPipe, AgileSwapDirective, AgileChangeColorDirective ],
  // providers: [ BooksService ], //Shortcut for using the provide syntax (commeted out next)

  // providers: [ 
  //   { provide: BooksService, useClass: BooksService }
  // ],

  providers: [ 
    { provide: BooksService, useClass: Books2Service }
  ],

})
export class BooksModule {}
